loci.formats.gui

## Class ExtensionFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - loci.formats.gui.ExtensionFileFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.lang.Comparable

      public class ExtensionFileFilter
      extends javax.swing.filechooser.FileFilter
      implements java.io.FileFilter, java.lang.Comparable

  A file filter based on file extensions, for use with a JFileChooser.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `desc` Description.
    `private java.lang.String[]` | `exts` List of valid extensions.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionFileFilter(java.lang.String[] extensions, java.lang.String description)` Constructs a new filter that accepts the given extensions.
    `ExtensionFileFilter(java.lang.String extension, java.lang.String description)` Constructs a new filter that accepts the given extension.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File f)` Accepts files with the proper extensions.
    `int` | `compareTo(java.lang.Object o)` Compares two FileFilter objects alphanumerically.
    `java.lang.String` | `getDescription()` Gets the filter's description.
    `java.lang.String` | `getExtension()` Gets the filter's first valid extension.
    `java.lang.String[]` | `getExtensions()` Gets the filter's valid extensions.
    `java.lang.String` | `toString()` Gets a string representation of this file filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### exts

          private java.lang.String[] exts

      List of valid extensions.

    - #### desc

          private java.lang.String desc

      Description.

  - ### Constructor Detail

    - #### ExtensionFileFilter

          public ExtensionFileFilter(java.lang.String extension,
                                     java.lang.String description)

      Constructs a new filter that accepts the given extension.

    - #### ExtensionFileFilter

          public ExtensionFileFilter(java.lang.String[] extensions,
                                     java.lang.String description)

      Constructs a new filter that accepts the given extensions.

  - ### Method Detail

    - #### getExtension

          public java.lang.String getExtension()

      Gets the filter's first valid extension.

    - #### getExtensions

          public java.lang.String[] getExtensions()

      Gets the filter's valid extensions.

    - #### accept

          public boolean accept(java.io.File f)

      Accepts files with the proper extensions.
      Specified by:
        `accept` in interface `java.io.FileFilter`
      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`

    - #### getDescription

          public java.lang.String getDescription()

      Gets the filter's description.
      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`

    - #### toString

          public java.lang.String toString()

      Gets a string representation of this file filter.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Compares two FileFilter objects alphanumerically.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`

Copyright © 2026 Open Microscopy Environment